## jugglemaster 0.4

=== Makefile ===
default:
	@echo Please use "\"make {target}\"" where target can be any of:
	@echo jmdlx, aajm, jmqt, all
	@echo
	@echo If you don\'t know what you want, use "make jmdlx"
	@echo
	@echo When built, binaries should be in the bin dir

all: jmdlx aajm jmqt

jmdlx:
	$(MAKE) -C src/jmdlx
	mkdir -p ./bin
	cp src/jmdlx/jmdlx ./bin

aajm:
	$(MAKE) -C src/aajm
	cp src/aajm/aajm src/aajm/aajm-remote ./bin

jmqt:
	$(MAKE) -C src/jmqt
	cp src/jmqt/jmqt ./bin

install:
	@echo Current no-oped.
	@echo Please look in the bin dir after building binaries using
	@echo  "make {target}"

clean:
	$(MAKE) -C src/jmlib clean
	$(MAKE) -C src/jmdlx clean
	$(MAKE) -C src/aajm clean
	$(MAKE) -C src/jmqt clean
	rm -rf bin

=== data/Makefile ===
include ../Makefile.cfg

INSTALL=install
DATAFILES=patterns.jm semaphore.jm

all:

install:
	mkdir -p $(INSTALLDIR)/share
	$(INSTALL) $(DATAFILES) $(INSTALLDIR)/share

=== src/aajm/Makefile ===
include ../../Makefile.cfg

CXXFLAGS+=-Wall -pedantic -fsigned-char `aalib-config --cflags`
LDFLAGS+=`aalib-config --libs`
BINARY=aajm
INSTALL=install

ifeq ($(DEBUG), 1)
CXXFLAGS += -g -Werror
endif

OBJ=aa_drawcircle.o aa_drawline.o aajm.o

all: aajm aajm-remote

aajm: jm_lib $(OBJ)
	$(CXX) $(LDFLAGS) -o $(BINARY) $(OBJ) ../jmlib/jmlib.a

jm_lib:
	$(MAKE) -C ../jmlib

install:
	mkdir -p $(INSTALLDIR)/bin
	$(INSTALL) $(BINARY) $(INSTALLDIR)/bin
	$(INSTALL) aajm-remote $(INSTALLDIR)/bin

clean:
	rm -f *.o core aajm aajm-remote
	$(MAKE) -C ../jmlib clean

=== src/jmdlx/Makefile ===
include ../../Makefile.cfg

CXXFLAGS+=-Wall -fsigned-char `wx-config --cppflags`
# -ansi -pedantic cause warnings from some compilers [wx uses long long]
LDFLAGS+=`wx-config --ldflags`
# STATICFLAGS=-Wl,-Bstatic
STATICFLAGS=-static
LIBS+=`wx-config --libs`
BINARY=jmdlx
INSTALL=install

ifeq ($(HAVE_FFMPEG), 1)
CXXFLAGS+=-DHAVE_AVCODEC_H -I$(FFMPEG_PREFIX)/libavcodec
LDFLAGS+=-L$(FFMPEG_PREFIX)/libavcodec
LIBS+=-lavcodec
endif

ifeq ($(DEBUG), 1)
CXXFLAGS+=-g -Werror
endif


# OSX Voodoo
APPNAME=JuggleMaster
BUNDLE=$(APPNAME).app/Contents
RSRC=`wx-config --prefix`/lib/*.rsrc

OBJ=jmdlx.o patt.o advsite.o choosepatt.o choosestyle.o newsemaphore.o print.o

all: jmdlx

jmdlx: jm_lib $(OBJ)
	$(CXX) $(LDFLAGS) -o ./$(BINARY) $(CFLAGS) $(OBJ) ../jmlib/jmlib.a $(LIBS)
	cp ../../data/*.jm .

osx: all
	tar -xf macosx/JuggleMaster.app.tar
	`wx-config --rezflags` ./$(BINARY)
	cp $(BINARY) JuggleMaster.app/Contents/MacOS/$(APPNAME)
	sed -e s/VERSION/$(VERSION)/ macosx/Info.plist.in > JuggleMaster.app/Contents/Info.plist
	cp ../../data/*.jm JuggleMaster.app/Contents/Resources
	cp $(RSRC) JuggleMaster.app/Contents/Resources/JuggleMaster.rsrc

jm_lib:
	$(MAKE) -C ../jmlib

install:
	mkdir -p $(INSTALLDIR)/bin
	$(INSTALL) $(BINARY) $(INSTALLDIR)/bin

patt: jm_lib
	rm -f patt.o
	$(CXX) -DPATT_STANDALONE $(CXXFLAGS) -c -o ./patt.o ./patt.cpp
	$(CXX) $(LDFLAGS) -o ./patt ./patt.o ../jmlib/jmlib.a $(LIBS)

clean:
	rm -f *.o core $(BINARY) $(BINARY)-static patt patterns.jm semaphore.jm
	rm -rf JuggleMaster.app
	$(MAKE) -C ../jmlib clean

v: clean all
	valgrind ./jmdlx

=== src/jmlib/Makefile ===
include ../../Makefile.cfg

CXXFLAGS=-Wall -pedantic -fsigned-char
LIBS+=-lm -ldl

ifeq ($(DEBUG), 1)
CXXFLAGS+=-g -Werror
endif

DATA=../../data/patterns.jm ../../data/semaphore.jm
OBJ=jmlib.o prefs.o util.o validator.o patterns.o

all: jmlib.a

jmlib.a: $(OBJ)
	ar -r jmlib.a $(OBJ)
	ranlib jmlib.a

patterns:
	$(CXX) $(CXXFLAGS) -DPATTERNS_STANDALONE -c -o ./patterns-standalone.o ./patterns.cpp
	$(CXX) $(LDFLAGS) -o ./patterns ./patterns-standalone.o $(LIBS)

clean:
	rm -f *.o core jmlib.a patterns

p: clean patterns
	./patterns $(DATA)

v: clean patterns
	valgrind --leak-check=yes ./patterns -q $(DATA)

=== src/jmqt/Makefile ===
include ../../Makefile.cfg

BINARY=jmqt
INSTALL=install

all: Makefile.jmqt
	$(MAKE) -C ../jmlib
	$(MAKE) -f Makefile.jmqt

install:
	mkdir -p $(INSTALLDIR)/bin
	$(INSTALL) $(BINARY) $(INSTALLDIR)/bin

clean: Makefile.jmqt
	$(MAKE) -f Makefile.jmqt clean 
	rm -f Makefile.jmqt
	rm -f $(BINARY)

Makefile.jmqt:
	qmake jugglemaster.pro -o Makefile.jmqt

=== debian/changelog ===
jugglemaster (0.4-7) unstable; urgency=low

  [ Helmut Grohne ]
  * Enable parallel building.
  * Bump standards version to 3.9.4: No changes needed.
  * Fix Vcs-Browser value after alioth changes.
  * Build hardening.
  * Mark packages as Multi-Arch: foreign.
  * Acknowledge NMUs. Thanks to Sebastian Ramacher for taking care of urgent
    RC bugs and Moritz Muehlenhoff for providing a patch.
  * Add .desktop files. (Addresses: #726446)
  * Make jmdlx stylechooser work again (use after free in
    010_wx26_trans.patch).

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch wx3.0-compat.patch). (Closes:
    #749495).
  * Fix warning due to not including <string.h> (new patch
    include-header-for-memset.patch).

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 27 May 2014 21:37:15 +0200

jugglemaster (0.4-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/libav10.patch: Fix build with libav 10. Thanks to Anton
    Khirnov for the patch. (Closes: #739244)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 15 Mar 2014 10:04:09 +0100

jugglemaster (0.4-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/loadavg.patch: kfreebsd-* defines struct loadavg in some
    system header. Rename aajm's loadavg to resolve this conflict. (Closes:
    #722493)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Sep 2013 18:58:28 +0200

jugglemaster (0.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/libav9.patch: Fix build with libav 9. Thanks to Moritz
    Muehlenhoff for the patch. (Closes: #720823)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Sep 2013 01:13:50 +0200

jugglemaster (0.4-6) unstable; urgency=low

  * Fix "[aajm] Broken pronoun "It" (JuggleMaster) in extended
    description" updated control, thanks to Filipus Klutiero (Closes: #630190)
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * Fix "Error in patch 010_wx26_trans.patch" updated patch, thanks to
    Olly Betts (Closes: #645409)
  * Fix "update jugglemaster to use wxwidgets2.8" applied and tested patch from
    Olly Betts (Closes: #645408)
  * Fix "FTBFS with ld --as-needed" applied patch from Ilya Barygin
    (Closes: #631700)
  * Fix for "Change Siteswap (simple)".  Every siteswap was regarded as invalid,
    due to the new pattern being garbage collected before being used. Now we
    keep an explicit reference.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 25 Nov 2011 11:29:40 +0100

jugglemaster (0.4-5) unstable; urgency=low

  * Team upload.
  * Write ASCII in uppercase letters in the package description. Thanks to
    Filipus Klutiero for reporting. (Closes: #629933)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 09 Jun 2011 20:03:10 +0200

jugglemaster (0.4-4) unstable; urgency=low

  * Team upload.
  * Drop the Qt version since Qt3 is being removed (Closes: #604353)
  * Switch to dh from debhelper 7 and dpkg-source v3
  * Add DEP-3 headers to the patches
  * Bump Standards-Version, no changes needed
  * Add a patch to fix locale issues when loading files (Closes: #528564)
  * Add patch to fix hand movements during tricks (Closes: #537503)
  * Fix and enable the ffmpeg support (Closes: #597831)
  * (C) is not recognised, use Copyright instead
  * Fix printing text in images and videos
  * Fix memory zeroing error (LP: #479173)
  * Make the watch file more flexible

 -- Paul Wise <pabs@debian.org>  Mon, 21 Feb 2011 16:42:26 +0800

jugglemaster (0.4-3) unstable; urgency=low

  [ Barry deFreese ]
  * Add data copyright details to debian/copyright.
    + Formerly in data_license.mbox file. (Closes:465646)

  [ Helmut Grohne ]
  * Bumped Standards-Version to 3.8.0:
    + Added README.source (from gimp-resynthesizer).

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 22 Jul 2008 13:22:05 +0200

jugglemaster (0.4-2) unstable; urgency=low

  [ Helmut Grohne ]
  * Bumped Standards-Version to 3.7.3, no changes needed.

  [ Barry deFreese ]
  * 010_wx26_trans.dpatch - Build with wx2.6.
  * Move maintainer to Debian Games Team.
  * Add VCS fields in control.
  * Remove unneeded .dirs files.
  * Install in /usr/games, not /usr/bin.
    + Update menus accordingly.
  * Don't install extra license file.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 10 Dec 2007 13:42:27 +0100

jugglemaster (0.4-1) unstable; urgency=low

  * Initial release.
  * ITP Closes: 443904
  * Improve dpatch descriptions.
  * Use dh_install instead of install.
  * Improved package descriptions.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 06 Nov 2007 09:42:28 +0100

=== debian/control ===
Source: jugglemaster
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Helmut Grohne <helmut@subdivi.de>
Build-Depends: debhelper (>= 7.0.50~),
 libaa1-dev,
 libavcodec-dev,
 libwxgtk3.0-dev
Standards-Version: 3.9.4
Homepage: http://icculus.org/jugglemaster/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/jugglemaster/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/jugglemaster/

Package: aajm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: ASCII art version of jugglemaster
 JuggleMaster is a siteswap animator. A siteswap is a textual representation
 for patterns one can juggle (using balls, clubs, etc.). JuggleMaster is mainly
 useful for understanding specific siteswaps by animating them (including
 multiplexing). Other uses may include watching patterns without understanding
 the notation behind them.
 .
 This package contains the ASCII art interface. It can be run as an ASCII
 screensaver and doesn't come with patterns, so you better know siteswaps.
 .
 Siteswap FAQ: http://www.juggling.org/help/siteswap/faq.html

Package: jmdlx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: jugglemaster deluxe using wxWidgets
 JuggleMaster is a siteswap animator. A siteswap is a textual representation
 for patterns one can juggle (using balls, clubs, etc.). JuggleMaster is mainly
 useful for understanding specific siteswaps by animating them (including
 multiplexing). Other uses may include watching patterns without understanding
 the notation behind them.
 .
 This package contains the wxWidgets interface and features a lot of builtin
 patterns available via a menu.
 .
 Siteswap FAQ: http://www.juggling.org/help/siteswap/faq.html

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_build:
	mkdir bin
	$(MAKE) -C src/jmlib CXXFLAGS="$(CXXFLAGS)"
	$(MAKE) aajm jmdlx HAVE_FFMPEG=1

override_dh_auto_clean:
	rm -Rf bin
	$(MAKE) -C src/jmlib clean
	$(MAKE) -C src/aajm clean
	$(MAKE) -C src/jmdlx clean
